## ekg2 0.3.1

=== SConstruct ===
#!/usr/bin/scons
# vim:set fileencoding=utf-8
#  Alternate build system for EKG2
#  (C) 2008/09 Michał Górny

EnsureSConsVersion(0,97)
EnsurePythonVersion(2,4)

consts = {
	'VERSION':		'SVN',
	'SCONS':		True
	}
indirs = [ # pseudo-hash, 'coz we want to keep order
	['DESTDIR',		'',							'Virtual installation root'],
	['PREFIX',		'/usr/local',				'Prefix for arch-independent data'],
	['EPREFIX',		'$PREFIX',					'Prefix for arch-dependent data'],

	['BINDIR',		'$EPREFIX/bin',				'User executables'],
	['LIBEXECDIR',	'$EPREFIX/libexec',			'Program executables'],
	['LIBDIR',		'$EPREFIX/lib',				'Libraries'],
#	['INCLUDEDIR',	'$PREFIX/include',			'Headers'],
	['DATAROOTDIR',	'$PREFIX/share',			'Arch-independent data'],
	['SYSCONFDIR',	'/etc',						'System-wide configuration'],

	['LOCALEDIR',	'$DATAROOTDIR/locale',		'Locales'],
	['DATADIR',		'$DATAROOTDIR/ekg2',		'EKG2 data'],
	['MANDIR',		'$DATAROOTDIR/man',			'EKG2 manfiles'],
	['DOCDIR',		'$DATAROOTDIR/doc/ekg2',	'EKG2 additional documentation'],
	['PLUGINDIR',	'$LIBDIR/ekg2/plugins',		'EKG2 plugins'],
	]
envs = {
	'CC':			['CC', 'Compiler executable'],
	'CCFLAGS':		['CFLAGS', 'Compiler flags'],
	'LINKFLAGS':	['LDFLAGS', 'LIBS', 'Linker flags']
	}

	# first and last one are special keywords
plugin_states = ['all', 'nocompile', 'deprecated', 'unknown', 'experimental', 'def', 'unstable', 'stable', 'none']
plugin_symbols = ['', '!', '!', '?', '*', '', '~', '', '']

import glob, subprocess, codecs, os, os.path, sys, cPickle, SCons

def writedef(definefile, var, val):
	""" Write define to definefile, choosing correct format. """
	if val is None:
		definefile.write('#undef %s\n' % (var))
	if isinstance(val, str):
		definefile.write(('#define %s "%s"\n' % (var, val)))
	if isinstance(val, bool):
		if val:
			definefile.write(('#define %s 1\n' % (var)))
		else:
			definefile.write(('#undef %s\n' % (var)))
	elif isinstance(val, int):
		definefile.write(('#define %s %d\n' % (var, val)))

def WriteDefines(target, source, env):
	""" Write list 'defines' to definefile. """
	defines = env['EKG_DEFINES']
	definefile = open(str(target[0]), 'w')
	for k, v in defines.items():
		writedef(definefile, k, v)
	definefile.close()
	return None

def WriteStatic(target, source, env):
	""" Write static plugin loader """
	plug = []
	for p in source:
		p = str(p).split('/', 3)
		if p[0] == 'plugins':
			plug.append(p[1])

	static_inc = open(str(target[0]), 'w')
	static_inc.write('/* autogenerated, do not modify */\n#include <stdlib.h>\n\n')
	for p in plug:
		static_inc.write('extern int %s_plugin_init(int prio);\n' % p)
	static_inc.write('\nvoid *plugin_load_static(const char *name) {\n')
	for p in plug:
		static_inc.write('\tif (!xstrcmp(name, "%s")) return &%s_plugin_init;\n' % (p, p))
	static_inc.write('\treturn NULL;\n}\n')
	static_inc.close()
	return None

warnings = []

def CheckStructMember(context, struct, member, headers):
	""" Check whether struct with given member is available. """
	context.Message('Checking for %s.%s... ' % (struct, member))
	testprog = ''
	for header in headers:
		testprog += '#include <%s>\n' % (header)
	testprog += '\nint main(void) {\n\tstatic %s tmp;\n\tif (tmp.%s)\n\t\treturn 0;\n\treturn 0;\n}\n' % (struct, member)

	result = context.TryCompile(testprog, '.c')
	context.Result(result)
	return not not result

def StupidPythonExec(context, cmds, result):
	""" Execute given commands and put errorcode, data written to stdout and to stderr onto result. """
	if not isinstance(cmds, list):
		cmds = [cmds]

	if context is not None:
		context.Message('Querying %s... ' % cmds[0].split()[0])

	fret = 0
	for cmd in cmds:
		p		= subprocess.Popen(cmd, shell = True, stdout = subprocess.PIPE, stderr = subprocess.PIPE, stdin = subprocess.PIPE)
		stdout	= p.stdout.read().strip()
		stderr	= p.stderr.read().strip()
		ret		= p.wait()

		result.extend([ret, stdout, stderr])
		fret	+= int(ret)

	if context is not None:
		context.Result(not fret)

	return not fret

def PkgConfig(context, pkg, flags, version = None, pkgconf = 'pkg-config',
			versionquery = '--version', flagquery = '--cflags --libs'):
	""" Ask pkg-config (or *-config) about given package, and put results in flags.
		If specific -config (pkg-config, for example) needs package name, then give it as pkg. If not,
		just set pkgconf correctly. When using something incompatible with *-config, give correct
		[versionquery, ccflagquery, ldflagquery] """
	if pkg is None:
		context.Message('Querying %s... ' % pkgconf)
		pkg = ''
	else:
		context.Message('Asking %s about %s... ' % (pkgconf, pkg))
		pkg = ' "%s"' % (pkg)

	queries = []
	if flags is not None:
		queries.append(flagquery)
	if version is not None:
		if pkgconf == 'pkg-config' and versionquery == '--version': # defaults
			versionquery = '--mod%s' % versionquery[2:]
		queries.append(versionquery)

	res = []
	ret = StupidPythonExec(None, ['"%s" %s%s' % (pkgconf, q, pkg) for q in queries], res)
	if ret:
		if flags is not None:
			flags.append(res[1])
			if version is not None:
				version.append(res[4])
		else:
			if version is not None:
				version.append(res[1])

	context.Result(ret)
	if int(res[0]) == 127 and pkgconf == 'pkg-config':
		warnings.append('%s not found!' % pkgconf)
	if int(res[0]) != 0:
		print res[2]
	return ret

def SetFlags(env, new):
	""" Set new (temporary) flags and return dict with old flag values """
	if not isinstance(new, dict):
		new	= env.ParseFlags(new)

	old		= {}
	for k in new.keys():
		try:
			old[k] = env[k]
		except KeyError:
			old[k] = []

	env.MergeFlags(new)
	return old

def RestoreFlags(env, old):
	""" Restore flags saved by BackupFlags() """
		# We don't use env.MergeFlags(), 'cause we want to remove new ones
	for k, v in old.items():
		env[k] = v
	return

def ExtTest(name, addexports = []):
	""" Execute external test from scons.d/. """
	exports = ['conf', 'defines', 'env', 'global_flags', 'warnings', 'SetFlags', 'RestoreFlags']
	exports.extend(addexports)
	ret = SConscript('scons.d/%s' % (name), exports)
	return ret

def CompileMsgEmitter(target, source, env):
	""" Fill targets to match source .po. """
	target	= []
	for f in source:
#		if str(f)[-3:] == '.po':
		target.append(str(f).replace('.po', '.mo'))
	
	return target, source

def CompileMsgGen(source, target, env, for_signature):
	""" Compile .po to .mo. """
	map = dict(zip(target, source))
	ret = []
	for d,s in map.items():
		ret.append('msgfmt -o "%s" "%s"' % (d,s))
	return ret

msgfmt = Builder(generator = CompileMsgGen, emitter = CompileMsgEmitter, suffix = '.mo', src_suffix = '.po')
defgen = Builder(action = WriteDefines, suffix = '.h')
stagen = Builder(action = WriteStatic, suffix = '.c')

env = Environment(
	BUILDERS = {'CompileMsg': msgfmt, 'Defines': defgen, 'StaticLoader': stagen}
)
opts = Options('options.cache')

avplugins = [elem.split('/')[1] for elem in glob.glob('plugins/*/')]
xplugins = ['-%s' % elem for elem in avplugins]
xplugins.extend(['@%s' % elem for elem in plugin_states])
opts.Add(ListOption('PLUGINS', 'List of plugins or @sets to build', '@def', avplugins + xplugins))
opts.Add(BoolOption('HARDDEPS', 'Fail if specified plugin could not be built due to unfulfilled depends', False))
opts.Add(BoolOption('UNICODE', 'Enable unicode support', True))
opts.Add(BoolOption('RESOLV', 'Use libresolv-based domain resolver with SRV support', True))
opts.Add(BoolOption('IDN', 'Support Internation Domain Names if libidn is found', True))
opts.Add(BoolOption('NLS', 'Enable l10n in core (requires gettext)', True))
opts.Add(BoolOption('RELPLUGINS', 'Support loading plugins from paths relative to cwd', True))
opts.Add(BoolOption('STATIC', 'Whether to build static plugins instead of shared', False))
opts.Add(BoolOption('SKIPCONF', 'Restore previous environment and skip configure if possible', False))
opts.Add(BoolOption('SKIPCHECKS', 'Skip non-essential checks during configure (assuming they succeed)', False))
opts.Add(EnumOption('DEBUG', 'Internal debug level', 'std', ['none', 'std', 'stderr']))
opts.Add(EnumOption('REMOTE', 'Whether to build ekg2-remote', 'no', ['no', 'yes', 'only']))
opts.Add(EnumOption('REMOTE_SSL', 'What SSL/TLS library to use with ekg2-remote', 'auto', ['none', 'openssl', 'gnutls', 'any', 'auto']))
opts.Add('DISTNOTES', 'Additional info to /version for use with distributed packages')

for p in avplugins:
	info = SConscript('plugins/%s/SConscript' % p, ['env', 'opts', 'indirs'])
	if not info:
		continue
	values = []
	if 'depends' in info:
		for a in info['depends']:
			if isinstance(a, list):
				values.extend(a)
	if 'optdepends' in info:
		for a in info['optdepends']:
			if isinstance(a, list):
				values.extend(a)
			else:
				values.append(a)

	if values:
		xvals = ['-%s' % elem for elem in values]
		xvals.extend(['+%s' % elem for elem in values])
		opts.Add(ListOption('%s_DEPS' % p.upper(), 'Optional/exclusive dependencies of %s plugin to disable or force' % p,
			'none', values + xvals))

dirs = []
for k,v,d in indirs:
	dirs.append(k)
	opts.Add(PathOption(k, d, v, PathOption.PathAccept))

for k,v in envs.items():
	desc = v.pop()
	var = []
	for val in v:
		if val in os.environ:
			var.append(os.environ[val])
	var = ' '.join(var)
	if var:
		opts.Add(k, desc, var)
	else:
		opts.Add(k, desc)

opts.Update(env)
opts.Save('options.cache', env)
env.Help(opts.GenerateHelpText(env))

# Default LINKFLAGS and CCFLAGS can be lists; stringify them.
for k in envs:
	if isinstance(env[k], list):
		env[k] = ' '.join(env[k])

defines = {}
# Global flags are fairly special. They are merged into the environment directly
# by the configure tests; we need them here only to save them into the cache and
# restore when using SKIPCONF=1.
global_flags = []

if env['STATIC']:
	defines['STATIC_LIBS'] = True
else:
	defines['SHARED_LIBS'] = True
	defines['SKIP_RELATIVE_PLUGINS_DIR'] = not env['RELPLUGINS']
defines['USE_UNICODE'] = env['UNICODE']
try:
	defines['VER_DISTNOTES'] = env['DISTNOTES']
except KeyError:
	defines['VER_DISTNOTES'] = False
defines['SCONS_NOTES'] = 'built using SCons %s' % SCons.__version__

for var in dirs:
	env[var] = env.subst(env[var])
	defines[var] = env[var]
for var,val in consts.items():
	defines[var] = val

# We get CCFLAGS and some of LINKFLAGS into flags, to pass them to env.MergeFlags(),
# but we keep rest of LINKFLAGS alone, because Gentoo by default uses -O1 to linker, and -O2 to compiler.
flags = [env['CCFLAGS']]
linkflags = []
for arg in env['LINKFLAGS'].split():
	if arg[0:2] in ['-l', '-L']:
		flags.append(arg)
	else:
		linkflags.append(arg)

env['CCFLAGS']		= []
env['LINKFLAGS']	= []
env.MergeFlags(flags)
env.Append(LINKFLAGS = linkflags)

if env['SKIPCONF']:
	try:
		conff = open('env.cache', 'r')
		try:
			confd = cPickle.load(conff)
		finally:
			conff.close()
	except (IOError, EOFError, cPickle.UnpicklingError):
		print '! SKIPCONF requested but no saved conf found'
		env['SKIPCONF'] = False
	else:
		# allow defines to be replaced
		for k, v in defines.items():
			confd['defines'][k] = v
		# and load environment
		for k, v in confd.items():
			globals()[k] = v
		SetFlags(env, env.ParseFlags(global_flags))

if not env['SKIPCONF']:
	conf = env.Configure(custom_tests = {
			'CheckStructMember':	CheckStructMember,
			'PkgConfig':			PkgConfig,
			'External':				StupidPythonExec
		})
	ekg_libs = []
	ekg_staticlibs = []
	ekg_compat = []
	ekg_remote_flags = []

	if env['REMOTE'] == 'only':
		# disable unused libs to avoid useless linking
		# XXX: we should get separate ekg_libs for ekg2-remote indeed
		for k in ['NLS', 'IDN', 'RESOLV']:
			env[k] = False

	ExtTest('standard', ['ekg_libs'])
	ExtTest('compat', ['ekg_compat'])

	if env['REMOTE'] != 'no' and env['REMOTE_SSL'] != 'none':
		reqssl = env['REMOTE_SSL']
		flags = []

		for dep in ['gnutls', 'openssl']:
			if reqssl in ['auto', 'any', dep]:
				if ExtTest(dep, ['flags']):
					ekg_remote_flags.extend(flags)
					defines['REMOTE_WANT_%s' % dep.upper()] = True
					break

		if not ekg_remote_flags and reqssl != 'auto' and env['HARDDEPS']:

=== docs/ekg2book-en/Makefile ===
XSLTRANSFORMER="xsltproc"

all:
	rm -rf book
	./generate.sh
	$(XSLTRANSFORMER) -stringparam chunker.output.encoding ISO-8859-2 sheet.xsl book.xml
	mkdir book
	mv *.html book/

clean distclean:
	rm -rf book book.xml

=== debian/changelog ===
ekg2 (1:0.3.1-4) unstable; urgency=medium

  * Use dh_autotools-dev to update config.{sub,guess}.
    (Closes: #727371, #690112)
  * Remove python-central dependency and replace the dh sequence with python2
  * Update libgpm dependency

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Oct 2013 14:05:23 +0200

ekg2 (1:0.3.1-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add ekg2.postinst script to perform the directory to symlink
    transformation of /usr/share/doc/ekg2.  (Closes: #685469)

  [ Marcin Owsiany ]
  * important bug fix upload, aimed at testing

 -- Marcin Owsiany <porridge@debian.org>  Sat, 09 Feb 2013 21:00:43 +0000

ekg2 (1:0.3.1-2) unstable; urgency=medium

  * RC-bugfix upload aimed at testing
  * [57a396e] Do not install conflicting symlinks. (Closes: #685469)

 -- Marcin Owsiany <porridge@debian.org>  Tue, 21 Aug 2012 22:57:55 +0200

ekg2 (1:0.3.1-1) unstable; urgency=low

  * New upstream release.
  * [5ad9be5] Downgraded UI Depends on core/remote to Recommends.
    (Closes: #618321)
  * [7f04d17] Fixed the config.sub/config.guess copy.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 19 Mar 2011 13:54:01 +0000

ekg2 (1:0.3.1~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * [71a9fb6] Added a debian/watch file. (Closes: #616149)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 13 Mar 2011 13:46:48 +0000

ekg2 (1:0.3.0~rc7-1) experimental; urgency=low

  * New upsteam release candidate.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 22 Jan 2011 15:09:16 +0000

ekg2 (1:0.3.0~rc6-1) experimental; urgency=low

  * New upstream release candidate

 -- Marcin Owsiany <porridge@debian.org>  Fri, 21 Jan 2011 07:41:34 +0000

ekg2 (1:0.3.0~rc5-1) experimental; urgency=low

  * New upstream release candidate
  * Added installation of newly created Perl plugin documentation.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 03 Jan 2011 13:36:34 +0000

ekg2 (1:0.3.0~rc4-2) experimental; urgency=low

  * Added a rule to not attempt refreshing tg2quilt.mk.
  * Enabled parallel builds.
  * Disabled build of doxygen docs in binary-arch, Closes: #608501

 -- Marcin Owsiany <porridge@debian.org>  Fri, 31 Dec 2010 14:27:05 +0000

ekg2 (1:0.3.0~rc4-1) experimental; urgency=low

  * New upstream snapshot
  * Split the package, Closes: #386998
    - put rationale in README.Debian
    - install files in debian/tmp and then use debian/*.install files with
      dh_install to sort them into packages
    - lots of little debhelper debian/*.* files renaming and munging
  * Optimization is now on, and symbols are stripped, Closes: #379162
  * Cleaned up some stuff in debian/rules - partly obsoleted by the awesomeness
    of "dh" and parly just old cruft
  * Removed fixes/gg-keep-reason - merged upstream
  * Install vars-en.txt and themes-en.txt
  * Link in docs to all {vars,session,commands}*-??.txt files in usr/share/ekg2

 -- Marcin Owsiany <porridge@debian.org>  Fri, 17 Dec 2010 20:52:29 +0000

ekg2 (1:0.3.0~rc4~pre+20101127+0508-1) experimental; urgency=low

  * New upstream snapshot
    - now disables strict aliasing rules
  * Enabled compiler optimization
  * Migrated to using "dh" and version 3.0 (quilt).
  * Bumped Standards-Version to 3.9.1.
  * Slightly tweaked description

 -- Marcin Owsiany <porridge@debian.org>  Fri, 26 Nov 2010 21:08:56 -0800

ekg2 (1:0.3.0~rc1+20101120+2232-1) experimental; urgency=low

  * New upstream snapshot
  * Corrected configuration gnutls option (no impact, as the option was on
    by default anyway)
  * Added newly translated docs/ui-ncurses-en.txt to debian/ekg2.docs

 -- Marcin Owsiany <porridge@debian.org>  Sat, 20 Nov 2010 23:09:35 -0800

ekg2 (20101002+2104-1) experimental; urgency=low

  * New upstream snapshot, based on 0.3.x branch
  * Incorporated improvements to the fixes/gg-keep-reason patch from upstream
    BTS.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 02 Oct 2010 22:17:10 +0100

ekg2 (20100221+1200-1) experimental; urgency=low

  * New upstream snapshot
    - this or previous version has a fix for garbage on terminal resize,
      Closes: #506669
  * Removed patches - merged upstream in some way
    - fixes/ekg2-remote-cmdline
    - fixes/gpgme-lfs
    - fixes/gtk-clist-deprecated
    - fixes/txtfiles-syntax
  * Added a README.source and WORKFLOW files as a starting point for source
    package documentation.
  * Added --enable-skip-relative-plugins-dir to configure invocation
  * Silenced an echo command
  * Use INSTALLDIRS=vendor at build time in an attempt to skip .packlist
    installation and properly follow the Debian Perl Policy. Also remove them
    manually just in case, as this does not seem to work on some systems.
  * Bumped debian/compat to 7
    - replaced deprecated dh_clean -k call with dh_prep
    - updated build-dependency in debian/control
  * Bumped Standards-Version to 3.8.4 (no changes needed)
  * Added a debian/clean files to remove some cruft usually leftover after
    a build
  * Updated FSF address in debian/copyright

 -- Marcin Owsiany <porridge@debian.org>  Thu, 25 Feb 2010 09:05:16 +0000

ekg2 (20091008+2020-1) experimental; urgency=low

  * New snapshot from upstream
  * Removed patches - merged upstream
    - fixes/ekg2book-autoclean
    - fixes/perl-install
    - features/autoresponder-sysmsg-note
    - features/ekg2book-generation
  * Removed dependencies on autotools
  * Added patches:
    - fixes/gpgme-lfs: enable building against libgpgme with LFS support
    - fixes/txtfiles-syntax: fix text file syntax

 -- Marcin Owsiany <porridge@debian.org>  Fri, 09 Oct 2009 17:49:42 +0100

ekg2 (20090404+0800-1) experimental; urgency=low

  * New snapshot from upstream. Noteworthy changes:
    - a few mass symbol renames to support C++ plugins
    - migration from converters to recoders
    - ekg2-remote merged into the codebase
    - no_config message is now displayed on first startup, Closes: #506744
    - more space for password prompt, Closes: #506659


=== debian/control ===
Source: ekg2
Section: net
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libncursesw5-dev, python-dev, libperl-dev, libssl-dev, libgnutls-dev, libaspell-dev, libgadu-dev, libexpat1-dev, libgpm-dev, libidn11-dev, libxosd-dev (>= 2.2.13), libsqlite3-dev, python, xsltproc, docbook-xsl, doxygen, libgtk2.0-dev, libgpgme11-dev, zlib1g-dev, quilt (>= 0.46-7~)
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://ekg2.org/

Package: ekg2-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2
Suggests: sms-pl
Description: instant messenger and IRC client for UNIX systems - main program
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the main program those plugins which do not have
 large dependencies. It does NOT contain the text or graphical user interface
 plugins.

Package: ekg2
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ekg2-ui-ncurses (= ${binary:Version}), ekg2-jabber (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2-dbg
Suggests: ekg2-gnupg, ekg2-scripting-python, ekg2-scripting-perl, ekg2-ui-gtk, ekg2-xosd
Description: instant messenger and IRC client for UNIX systems
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 The program has many useful features. Here is a list - unless specified they
 are included in the ekg2-core package.
   - irssi-like ncurses interface, with mouse support [ekg2-ui-ncurses]
   - experimental GTK+ interface [ekg2-ui-gtk]
   - experimental HTTP interface
   - experimental 'remote' interface [ekg2-remote]
   - spell checking [ekg2-ui-ncurses]
   - "remote control" via pipe or socket
   - XOSD support [ekg2-xosd]
   - jogger.pl blog update support
   - a simple CAPTCHA (autoresponder)
   - Python and Perl scripting [ekg2-scripting-python, ekg2-scripting-perl]
   - launching shell commands on certain events
   - encryption support (SIM, GnuPG, ROT13) [ekg2-core, ekg2-gnupg]
   - logging to SQLite, plain text or XML files
   - sending SMs (using an external program such as sms-pl)
   - mail checking
 .
 This is a meta-package which depends on a set of commonly used EKG2 packages.

Package: ekg2-api-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - API documentation
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the API documentation, useful for developers who want to
 create or improve plugins.

Package: ekg2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ekg2-core (= ${binary:Version}) | ekg2-remote (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - debugging symbols
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the debugging symbols for executable code.

Package: ekg2-gnupg
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - GnuPG
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the plugin which uses GnuPG to provide encrypted
 communication.

Package: ekg2-jabber
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - Jabber/XMPP
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the plugin which lets you communicate on the Jabber or
 XMPP IM networks.

Package: ekg2-remote
Architecture: any
Depends: ekg2-ui-ncurses (= ${binary:Version}) | ekg2-ui-gtk (= ${binary:Version}) | ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - remote interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the remote control program, which lets you use an
 instance of the main ekg2 program which runs on a different machine.

Package: ekg2-scripting-python
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: instant messenger and IRC client for UNIX systems - Python scripting
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the plugin which embeds a Python interpreter inside
 EKG2.

Package: ekg2-scripting-perl
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: instant messenger and IRC client for UNIX systems - Perl scripting
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the plugin which embeds a Perl interpreter inside
 EKG2.

Package: ekg2-ui-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2-core (= ${binary:Version}) | ekg2-remote (= ${binary:Version})
Description: instant messenger and IRC client for UNIX systems - GTK+ interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the graphical GTK+ user interface plugin.

Package: ekg2-ui-ncurses
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2-core (= ${binary:Version}) | ekg2-remote (= ${binary:Version})
Suggests: aspell-dictionary
Description: instant messenger and IRC client for UNIX systems - ncurses interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the text-based ncurses user interface plugin.

Package: ekg2-xosd
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - X OSD
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS. Also a generic
 filesystem-based communication mechanism called "xmsg" is supported.
 .
 This package contains the plugin which uses X On-Screen-Display library to
 notify about events by showing them on an X Window display.

=== debian/rules ===
#!/usr/bin/make -f
# ekg2 package rules file
# Copyright 2002-2010 Marcin Owsiany <porridge@debian.org>

# Help cross-compiling
# These are set automatically by dpkg-buildpackage, but we cannot depend on
# them being available, because caller might not be using dpkg-buildpackage
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

-include /usr/share/topgit/tg2quilt.mk
/usr/share/topgit/tg2quilt.mk:

%:
	dh --with quilt,python2,autotools_dev --parallel $@

# Remember to update README.Debian as well...
override_dh_auto_configure:
	EKG2_NO_COLOR_CONFIGURE=1 ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib/ekg2 \
		--with-ioctld \
		--with-libgadu \
		--with-pthread \
		--with-openssl \
		--with-libgnutls \
		--with-expat \
		--with-ncurses \
		--with-gtk \
		--without-libgsm \
		--with-perl \
		--with-python \
		--with-libxosd \
		--with-sqlite3 \
		--without-logsoracle \
		--with-aspell \
		--without-libjpeg \
		--without-libungif \
		--without-libgif \
		--with-gpm-mouse \
		--with-gpg \
		--with-zlib \
		--without-readline \
		--enable-remote \
		--enable-unicode \
		--enable-skip-relative-plugins-dir
# Reasons for disabling some features are in README.Debian
# Remember to update README.Debian as well...

override_dh_auto_build:
	@echo 'Building with MAKEFLAGS=$(MAKEFLAGS) and CFLAGS=$(CFLAGS)'
	dh_auto_build -- PERL_MM_OPT=INSTALLDIRS=vendor
	cd docs/ && XSLTRANSFORMER='xsltproc --nonet' sh generate-ekg2book.sh pl generate
	cd docs/ && XSLTRANSFORMER='xsltproc --nonet' sh generate-ekg2book.sh en generate
# dh_installman gets confused with the ".en" part and either chooses wrong directory or extension
	cp docs/ekg2.en.1 docs/ekg2.1
	cp docs/ekg2-remote.en.1 docs/ekg2-remote.1
ifneq (,$(findstring ekg2-api-docs, $(shell dh_listpackages)))
	cd docs/ && ./generate-doc.sh
endif

override_dh_auto_clean:
	cd docs && sh generate-ekg2book.sh pl clean
	cd docs && sh generate-ekg2book.sh en clean
	rm -rf docs/doxygen
	if [ -e Makefile ] ; then $(MAKE) distclean ; fi
	rm -f docs/ekg2.1 docs/ekg2-remote.1

override_dh_strip:
	dh_strip --dbg-package=ekg2-dbg

override_dh_auto_install:
	perl_install_args="DESTDIR=$(CURDIR)/debian/tmp INSTALLDIRS=vendor" $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

override_dh_installdocs:
	dh_installdocs --link-doc=ekg2-core -pekg2 -pekg2-dbg -pekg2-gnupg -pekg2-jabber \
	  -pekg2-scripting-python -pekg2-scripting-perl -pekg2-xosd
	dh_installdocs --remaining-packages
	cp -a docs/ekg2book/book    $(CURDIR)/debian/ekg2-core/usr/share/doc/ekg2-core/book-pl
	cp -a docs/ekg2book-en/book $(CURDIR)/debian/ekg2-core/usr/share/doc/ekg2-core/book-en
ifneq (,$(findstring ekg2-api-docs, $(shell dh_listpackages)))
	cp -a docs/doxygen          $(CURDIR)/debian/ekg2-api-docs/usr/share/doc/ekg2-api-docs/
endif

## ekg2 0.4~pre+20110319.1

=== debian/changelog ===
ekg2 (1:0.4~pre+20110319.1-1) experimental; urgency=low

  * Merged a new upstream snapshot.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 19 Mar 2011 14:16:06 +0000

ekg2 (1:0.4~pre+20110317.1-1) experimental; urgency=low

  * Merge a new upstream snapshot.
    - includes complete rewrite of the build system as well as significant
      refactoring of internal infrastructure code. As a result a few plugins
      are not being built, at least for now. See debian/NEWS for details.
  * [d64fd80] Ignore debian/patches.
  * [2e21b07] Change the build to work according to current Debian best
    practice, i.e. full autoreconf and clean on every build.
  * [ec2938d] Do not include auto-refreshed po files in debian patch.
  * [32d2beb] Adjust configure arguments to current availability.
  * [c374e0d] Disabled httprc_xajax, following upstream.
  * [7f2228f] Disabled ioctld, following upstream.
  * [eabdf3b] Disabled pcm, following upstream.
  * [b110cf8] Disabled remote, following upstream. This also happens to fix a
    circular dependency. (Closes: #618321)
  * [de55d81] Disabled rc, following upstream.
  * [00d454e] Disabled rot13, following upstream.
  * [b50f35b] Disabled xmsg, following upstream.
  * [a778d58] Disabled xosd, following upstream.
  * [1097b7a] Install nntp and rss, not feed.
  * [e97aee7] Call dh with target as first arg.
  * [9a3b684] Trimmed the TODO list.
  * [97cc88f] Documented plugin split/removal.
  * [df853be] Updated developer information.
  * [062076c] Added Vcs-* headers.
  * [1b516de] Added libglib2.0-dev to build-deps.
  * [7f5b84a] Do install the .la files.
  * [be2ad99] Fixed version in NEWS file.
  * [4f6bdbc] Build depend on autopoint or old gettext package.
  * [f74ae68] Removed build-dependency and references to quilt.
  * [f69076c] Fixed a spelling error.
  * [de5c5d3] Use recommended NEWS format, no asterisks.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 17 Mar 2011 16:36:45 +0000

=== debian/control ===
Source: ekg2
Section: net
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
 autoconf, automake1.11, libtool, autopoint | gettext (<= 0.17-9), gettext,
# UI
 libncursesw5-dev, libgpmg1-dev, libaspell-dev, libgtk2.0-dev,
# scripting
 python, python-dev, python-central (>= 0.5), libperl-dev,
# Protocols
 libgadu-dev, libexpat1-dev,
# Encryption
 libssl-dev, libgnutls-dev, libgpgme11-dev,
# Other
 zlib1g-dev, libsqlite3-dev, libglib2.0-dev,
# Documentation
 xsltproc, docbook-xsl, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://ekg2.org/
Vcs-Git: git://github.com/porridge/ekg2.git
Vcs-Browser: https://github.com/porridge/ekg2

Package: ekg2-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2
Suggests: sms-pl
Description: instant messenger and IRC client for UNIX systems - main program
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the main program those plugins which do not have
 large dependencies. It does NOT contain the text or graphical user interface
 plugins.

Package: ekg2
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ekg2-ui-ncurses (= ${binary:Version}), ekg2-jabber (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ekg2-dbg
Suggests: ekg2-gnupg, ekg2-scripting-python, ekg2-scripting-perl, ekg2-ui-gtk
Description: instant messenger and IRC client for UNIX systems
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 The program has many useful features. Here is a list - unless specified they
 are included in the ekg2-core package.
   - irssi-like ncurses interface, with mouse support [ekg2-ui-ncurses]
   - experimental GTK+ interface [ekg2-ui-gtk]
   - spell checking [ekg2-ui-ncurses]
   - jogger.pl blog update support
   - a simple CAPTCHA (autoresponder)
   - Python and Perl scripting [ekg2-scripting-python, ekg2-scripting-perl]
   - launching shell commands on certain events
   - encryption support (SIM, GnuPG) [ekg2-core, ekg2-gnupg]
   - logging to SQLite, plain text or XML files
   - sending SMs (using an external program such as sms-pl)
   - mail checking
 .
 This is a metapackage which depends on a set of commonly used EKG2 packages.

Package: ekg2-api-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - API documentation
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the API documentation, useful for developers who want to
 create or improve plugins.

Package: ekg2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - debugging symbols
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the debugging symbols for executable code.

Package: ekg2-gnupg
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - GnuPG
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which uses GnuPG to provide encrypted
 communication.

Package: ekg2-jabber
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - Jabber/XMPP
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which lets you communicate on the Jabber or
 XMPP IM networks.

Package: ekg2-scripting-python
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: instant messenger and IRC client for UNIX systems - Python scripting
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which embeds a Python interpreter inside
 EKG2.

Package: ekg2-scripting-perl
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: instant messenger and IRC client for UNIX systems - Perl scripting
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the plugin which embeds a Perl interpreter inside
 EKG2.

Package: ekg2-ui-gtk
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: instant messenger and IRC client for UNIX systems - GTK+ interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the graphical GTK+ user interface plugin.

Package: ekg2-ui-ncurses
Architecture: any
Depends: ekg2-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: aspell-dictionary
Description: instant messenger and IRC client for UNIX systems - ncurses interface
 EKG2 is an open source instant messenger program for UNIX systems. The program
 has a plugin-based structure, and supports multiple protocols, currently
 Jabber, ICQ, Gadu-Gadu, IRC, RivChat, PolChat, NNTP and RSS.
 .
 This package contains the text-based ncurses user interface plugin.

=== debian/rules ===
#!/usr/bin/make -f
# ekg2 package rules file
# Copyright 2002-2011 Marcin Owsiany <porridge@debian.org>

# As recommended by "current Debian best practice" prescribed by autotools-dev, we:

# * set configure flags appropriately to help cross-compiling:
# These are set automatically by dpkg-buildpackage, but we cannot depend on
# them being available, because caller might not be using dpkg-buildpackage
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# * specify an explicit automake version
export AUTOMAKE=automake-1.11

-include /usr/share/topgit/tg2quilt.mk
/usr/share/topgit/tg2quilt.mk:

%:
	dh $@ --with autoreconf,python-central --parallel

# Remember to update README.Debian as well...
override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib/ekg2 \
		--enable-autoresponder \
		--enable-gg \
		--enable-gpg \
		--enable-gtk \
		--enable-icq \
		--enable-irc \
		--enable-jabber \
		--enable-jogger \
		--enable-logs \
		--enable-logsqlite \
		--enable-mail \
		--enable-ncurses \
		--enable-nntp \
		--enable-perl \
		--enable-polchat \
		--enable-python \
		--enable-rivchat \
		--enable-rss \
		--enable-sim \
		--enable-sms \
		--with-aspell \
		--with-expat \
		--with-gnutls \
		--with-gpgme \
		--with-gpm \
		--with-gtk \
		--with-libgadu \
		--with-ncurses \
		--with-openssl \
		--with-perl \
		--with-python \
		--with-sqlite3 \
		--with-zlib
# Reasons for disabling some features are in README.Debian
# Remember to update README.Debian as well...

override_dh_auto_build:
	@echo 'Building with MAKEFLAGS=$(MAKEFLAGS) and CFLAGS=$(CFLAGS)'
	dh_auto_build -- PERL_MM_OPT=INSTALLDIRS=vendor
	cd docs/ && XSLTRANSFORMER='xsltproc --nonet' sh generate-ekg2book.sh pl generate
	cd docs/ && XSLTRANSFORMER='xsltproc --nonet' sh generate-ekg2book.sh en generate
# dh_installman gets confused with the ".en" part and either chooses wrong directory or extension
	cp docs/ekg2.en.1 docs/ekg2.1
ifneq (,$(findstring ekg2-api-docs, $(shell dh_listpackages)))
	cd docs/ && ./generate-doc.sh
endif

override_dh_auto_clean:
	cd docs && sh generate-ekg2book.sh pl clean
	cd docs && sh generate-ekg2book.sh en clean
	rm -rf docs/doxygen
	rm -f docs/ekg2.1
	dh_auto_clean

override_dh_strip:
	dh_strip --dbg-package=ekg2-dbg

override_dh_auto_install:
	perl_install_args="DESTDIR=$(CURDIR)/debian/tmp INSTALLDIRS=vendor" $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs --link-doc=ekg2-core -pekg2 -pekg2-dbg -pekg2-gnupg -pekg2-jabber \
	  -pekg2-scripting-python -pekg2-scripting-perl
	dh_installdocs --remaining-packages
	cp -a docs/ekg2book/book    $(CURDIR)/debian/ekg2-core/usr/share/doc/ekg2-core/book-pl
	cp -a docs/ekg2book-en/book $(CURDIR)/debian/ekg2-core/usr/share/doc/ekg2-core/book-en
ifneq (,$(findstring ekg2-api-docs, $(shell dh_listpackages)))
	cp -a docs/doxygen          $(CURDIR)/debian/ekg2-api-docs/usr/share/doc/ekg2-api-docs/
endif
